View Issue Details

IDProjectCategoryView StatusLast Update
0001420bareos-coreinstaller / packagespublic2022-01-13 15:38
Reporterbidich Assigned Toarogge  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionno change required 
PlatformLinuxOSCentOSOS Version7
Product Version20.0.5 
Summary0001420: Error when updating from bareos 20 to bareos 21.
DescriptionError when updating from bareos 20 to bareos 21. How to solve?

Resolving Dependencies
--> Running transaction check
---> Package bareos.x86_64 0:20.0.1-3.el7 will be updated
---> Package bareos.x86_64 0:21.0.0-4.el7 will be an update
--> Processing Dependency: bareos-client = 21.0.0 for package: bareos-21.0.0-4.el7.x86_64
--> Processing Dependency: bareos-director = 21.0.0 for package: bareos-21.0.0-4.el7.x86_64
--> Processing Dependency: bareos-storage = 21.0.0 for package: bareos-21.0.0-4.el7.x86_64
--> Running transaction check
---> Package bareos-client.x86_64 0:20.0.1-3.el7 will be updated
---> Package bareos-client.x86_64 0:21.0.0-4.el7 will be an update
--> Processing Dependency: bareos-bconsole = 21.0.0 for package: bareos-client-21.0.0-4.el7.x86_64
--> Processing Dependency: bareos-filedaemon = 21.0.0 for package: bareos-client-21.0.0-4.el7.x86_64
---> Package bareos-director.x86_64 0:20.0.1-3.el7 will be updated
---> Package bareos-director.x86_64 0:21.0.0-4.el7 will be an update
--> Processing Dependency: bareos-common = 21.0.0 for package: bareos-director-21.0.0-4.el7.x86_64
--> Processing Dependency: bareos-database-common = 21.0.0 for package: bareos-director-21.0.0-4.el7.x86_64
--> Processing Dependency: libbareos.so.21()(64bit) for package: bareos-director-21.0.0-4.el7.x86_64
--> Processing Dependency: libbareoscats.so.21()(64bit) for package: bareos-director-21.0.0-4.el7.x86_64
--> Processing Dependency: libbareosfind.so.21()(64bit) for package: bareos-director-21.0.0-4.el7.x86_64
--> Processing Dependency: libbareoslmdb.so.21()(64bit) for package: bareos-director-21.0.0-4.el7.x86_64
--> Processing Dependency: libbareosndmp.so.21()(64bit) for package: bareos-director-21.0.0-4.el7.x86_64
--> Processing Dependency: libbareossql.so.21()(64bit) for package: bareos-director-21.0.0-4.el7.x86_64
---> Package bareos-storage.x86_64 0:20.0.1-3.el7 will be updated
--> Processing Dependency: bareos-storage = 20.0.1 for package: bareos-storage-tape-20.0.1-3.el7.x86_64
---> Package bareos-storage.x86_64 0:21.0.0-4.el7 will be an update
--> Running transaction check
---> Package bareos-bconsole.x86_64 0:20.0.1-3.el7 will be updated
---> Package bareos-bconsole.x86_64 0:21.0.0-4.el7 will be an update
---> Package bareos-common.x86_64 0:20.0.1-3.el7 will be updated
--> Processing Dependency: bareos-common = 20.0.1 for package: bareos-database-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: bareos-common = 20.0.1 for package: bareos-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareos.so.20()(64bit) for package: bareos-database-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareos.so.20()(64bit) for package: bareos-database-mysql-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareos.so.20()(64bit) for package: bareos-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareos.so.20()(64bit) for package: bareos-database-postgresql-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareosfastlz.so.20()(64bit) for package: bareos-database-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareosfastlz.so.20()(64bit) for package: bareos-database-mysql-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareosfastlz.so.20()(64bit) for package: bareos-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareosfastlz.so.20()(64bit) for package: bareos-database-postgresql-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareosfind.so.20()(64bit) for package: bareos-database-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareosfind.so.20()(64bit) for package: bareos-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareoslmdb.so.20()(64bit) for package: bareos-database-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareosndmp.so.20()(64bit) for package: bareos-database-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareossd.so()(64bit) for package: bareos-database-tools-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareossd.so()(64bit) for package: bareos-tools-20.0.1-3.el7.x86_64
---> Package bareos-common.x86_64 0:21.0.0-4.el7 will be an update
---> Package bareos-database-common.x86_64 0:20.0.1-3.el7 will be updated
--> Processing Dependency: bareos-database-common = 20.0.1 for package: bareos-database-mysql-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareoscats.so.20()(64bit) for package: bareos-database-mysql-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareossql.so.20()(64bit) for package: bareos-database-mysql-20.0.1-3.el7.x86_64
---> Package bareos-database-common.x86_64 0:21.0.0-4.el7 will be an update
---> Package bareos-filedaemon.x86_64 0:20.0.1-3.el7 will be updated
---> Package bareos-filedaemon.x86_64 0:21.0.0-4.el7 will be an update
---> Package bareos-storage-tape.x86_64 0:20.0.1-3.el7 will be updated
---> Package bareos-storage-tape.x86_64 0:21.0.0-4.el7 will be an update
--> Running transaction check
---> Package bareos-common.x86_64 0:20.0.1-3.el7 will be updated
--> Processing Dependency: libbareos.so.20()(64bit) for package: bareos-database-mysql-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareosfastlz.so.20()(64bit) for package: bareos-database-mysql-20.0.1-3.el7.x86_64
---> Package bareos-database-common.x86_64 0:20.0.1-3.el7 will be updated
--> Processing Dependency: bareos-database-common = 20.0.1 for package: bareos-database-mysql-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareoscats.so.20()(64bit) for package: bareos-database-mysql-20.0.1-3.el7.x86_64
--> Processing Dependency: libbareossql.so.20()(64bit) for package: bareos-database-mysql-20.0.1-3.el7.x86_64
---> Package bareos-database-postgresql.x86_64 0:20.0.1-3.el7 will be updated
---> Package bareos-database-postgresql.x86_64 0:21.0.0-4.el7 will be an update
---> Package bareos-database-tools.x86_64 0:20.0.1-3.el7 will be updated
---> Package bareos-database-tools.x86_64 0:21.0.0-4.el7 will be an update
---> Package bareos-tools.x86_64 0:20.0.1-3.el7 will be updated
---> Package bareos-tools.x86_64 0:21.0.0-4.el7 will be an update
--> Finished Dependency Resolution
--> Finding unneeded leftover dependencies
Found and removing 0 unneeded dependencies
Error: Package: bareos-database-mysql-20.0.1-3.el7.x86_64 (@bareos)
           Requires: libbareos.so.20()(64bit)
           Removing: bareos-common-20.0.1-3.el7.x86_64 (@bareos)
               libbareos.so.20()(64bit)
           Updated By: bareos-common-21.0.0-4.el7.x86_64 (bareos)
              ~libbareos.so.21()(64bit)
Error: Package: bareos-database-mysql-20.0.1-3.el7.x86_64 (@bareos)
           Requires: bareos-database-common = 20.0.1
           Removing: bareos-database-common-20.0.1-3.el7.x86_64 (@bareos)
               bareos-database-common = 20.0.1-3.el7
           Updated By: bareos-database-common-21.0.0-4.el7.x86_64 (bareos)
               bareos-database-common = 21.0.0-4.el7
Error: Package: bareos-database-mysql-20.0.1-3.el7.x86_64 (@bareos)
           Requires: libbareosfastlz.so.20()(64bit)
           Removing: bareos-common-20.0.1-3.el7.x86_64 (@bareos)
               libbareosfastlz.so.20()(64bit)
           Updated By: bareos-common-21.0.0-4.el7.x86_64 (bareos)
              ~libbareosfastlz.so.21()(64bit)
Error: Package: bareos-database-mysql-20.0.1-3.el7.x86_64 (@bareos)
           Requires: libbareoscats.so.20()(64bit)
           Removing: bareos-database-common-20.0.1-3.el7.x86_64 (@bareos)
               libbareoscats.so.20()(64bit)
           Updated By: bareos-database-common-21.0.0-4.el7.x86_64 (bareos)
              ~libbareoscats.so.21()(64bit)
Error: Package: bareos-database-mysql-20.0.1-3.el7.x86_64 (@bareos)
           Requires: libbareossql.so.20()(64bit)
           Removing: bareos-database-common-20.0.1-3.el7.x86_64 (@bareos)
               libbareossql.so.20()(64bit)
           Updated By: bareos-database-common-21.0.0-4.el7.x86_64 (bareos)
              ~libbareossql.so.21()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

arogge

arogge

2022-01-13 15:38

developer   ~0004474

There is no bareos-database-mysql in 21, so you cannot upgrade without removing that package first.
See the release notes for more details.

Issue History

Date Modified Username Field Change
2022-01-13 12:29 bidich New Issue
2022-01-13 15:37 arogge Assigned To => arogge
2022-01-13 15:37 arogge Status new => assigned
2022-01-13 15:38 arogge Status assigned => resolved
2022-01-13 15:38 arogge Resolution open => no change required
2022-01-13 15:38 arogge Note Added: 0004474
2022-01-13 15:38 arogge Status resolved => closed